#ifndef PARAM_DETAILS_WIDGET_TINY_NO_MAXIMUM_H
#define PARAM_DETAILS_WIDGET_TINY_NO_MAXIMUM_H

#include <QtGui>
#include "ui_paramDetailsWidgetTinyNoMaximum.h"

class ParamDetailsWidgetTinyNoMaximum : public QWidget {
	Q_OBJECT

private:
	Ui::ParamDetailsWidgetTinyNoMaximum ui_;
public:
	ParamDetailsWidgetTinyNoMaximum(QWidget * parent) : QWidget(parent) {
		ui_.setupUi(this);
	}

	void setName(const std::wstring & name) {
		ui_.nameLabel->setText(QString::fromUtf16(name.c_str()));
	}

	void setDescription(const std::wstring & desc) {
		ui_.descriptionLabel->setText(QString::fromUtf16(desc.c_str()));
	}

	void setValue(int value) {
		ui_.valueLabel->setText(QString::number(value));
	}
};

#endif